Subject: Newbie questions

From: [email-masked] (Charsky)
Date: Fri, 9 Dec 1994 22:24:42 GMT

This news group is too quiet.  So I would like to get some chatter going.

For a person newly interested in discovering what aromatherapy is about, what 
books would you recommend.  I've been researching for about two years in the 
field of holistic medicine and often have seen references to aromatherapy, but 
have not looked into it yet.  I've seen some books, but at a glance they have 
been sort of vague.  I'm look for books referencing the best application for 
use of aromatherapy, and books that would detail on how to make your own 
herbal remedies.

Thanks in advance.

[email-masked]